Validate and store a legacy factura or boleta payload
Safe asynchronous compatibility route. Requires documents:create; unsupported legacy fields are rejected.
Deprecated
Safe asynchronous compatibility route. Requires documents:create; unsupported legacy fields are rejected.
Authorization
bearerAuth Tenant-bound, scoped and expiring Apifact credential. Migrated legacy credentials are accepted only on deprecated v1 writes and tenant-scoped v2 read, poll and download routes. Each operation names the single scope it requires in x-required-scope; the scope array of the security requirement itself is empty because OpenAPI 3.0 requires it to be for a non-oauth2 scheme.
In: header
Header Parameters
Optional. A deterministic document-identity key is derived when omitted.
^[!-~]+$1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/invoice/create" \ -H "Authorization: Bearer apf_v2_tu_credencial" \ -H "Content-Type: application/json" \ -d '{ "comprobante": { "tipoOperacion": "0101", "tipoDoc": "01", "serie": "F001", "correlativo": "1030", "fechaEmision": "2026-08-12", "horaEmision": "09:30:00", "tipoMoneda": "PEN", "tipoPago": "Contado" }, "cliente": { "tipoDoc": "6", "numDoc": "20512345678", "rznSocial": "COMERCIAL LOS ANDES S.A.C.", "codigoPais": "PE", "direccion": "AV. AREQUIPA 4321" }, "items": [ { "codProducto": "SERV-001", "descripcion": "Consultoria de implementacion - plan mensual", "unidad": "ZZ", "cantidad": "1", "mtoValorUnitario": "1000.00", "codeAfect": "10", "igvPorcent": "18" } ] }'{ "respuesta": { "success": true, "status": 200, "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052", "state": "RECEIVED", "operationStatus": "PENDING", "replay": true, "representations": [ { "representationId": "a9b73a9c-9bfc-4552-8caa-c8f5de61ac57", "kind": "pdf-a4", "version": 1, "status": "PENDING", "templateVersion": "invoice-a4-v2", "rendererVersion": "browser-run-a4-v1", "mediaType": "application/pdf", "byteSize": 0, "sha256": "string", "readyAt": "2019-08-24T14:15:22Z", "downloadPath": "string" } ], "mensaje": "string" }}